Best way to JB and UL iPhone 3G on 3.1.3

Discussion in 'Jailbreaks and iOS Hacks' started by davidjearly, Dec 19, 2010.

  1. davidjearly macrumors 68020

    davidjearly

    Joined:
    Sep 21, 2006
    Location:
    Glasgow, Scotland
    #1
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_2_1 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8C148 Safari/6533.18.5)

    Hi,

    Trying to figure out how to unlock and jailbreak my iPhone 3G to the best version of iOS 4 in terms of speed.

    Right now, I used PwnageTool (old version) to create a custom unlocked firmware of 3.1.3. However, it hasn't seemed to unlock the firmware and when I try to install ultrasn0w in cydia, it crashes. Tried repeating the process 3 times, but each time I get stalled when cydia crashes and I'm unable to do anything with it.

    So, I'm going to try upgrading to a version of iOS 4, but need to be able to unlock the device. I know there are problems with 4.2.1 so wondering the best way to go from 3.1.3 to a version of iOS 4.

    Current baseband is 05.12.01 and 3.1.3 firmware.
     
  2. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #2
    When I was jb/unlocking my old 3G, I used redsnow and didn't have any problems with that. Go to iclarified for info on jb 3.1.3 on your 3G. FYI: using an old version of pwnage is asking for trouble. Trying using the latest pwnage, if you don't want to use redsnow.
    I really don't recommend using iOS 4 for 3G. It will slow down your phone to an intolerable crawl. Also, do you have your SHSH blobs for 4.x.x? I remember reading that Apple has been requiring blobs from all the phones for installing iOS 4.x.x--including 3G. If you don't have these blobs, you can only install 4.1.2 (tethered jb) and will need to use the ipad bb to unlock. This is not recommended if you've got a choice.
     
  3. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #3
    Unless you ABSOLUTELY need iOS 4 on your 3G, I highly recommend not doing it. With the 4.2.1 release its gotten better, but no where near the performance that 3.1.3 did. Granted vs. 4 and 4.1, 4.2 is loads better.

    If you can get pwnage tool to run good, you can preserve BB with 4.2.1 but, I wonder if its even worth the trouble...
     
  4. mikelegacy macrumors 65816

    mikelegacy

    Joined:
    Dec 5, 2010
    Location:
    Pittsburgh, PA
    #4
    I used the Pwnage tool back in the day of iOS 3. must be nice to have the ability to jailbreak untethers without to have to go through the annoying downgrade process.
     
  5. davidjearly thread starter macrumors 68020

    davidjearly

    Joined:
    Sep 21, 2006
    Location:
    Glasgow, Scotland
    #5
    Sorry, but I'm still not any clearer. I'm not fussed about getting this iPhone to iOS 4, just looking to get it unlocked and working on iOS 3.1.3. Already done the downgrade and JB from 4.0, and left with baseband in the first post. Just can't get Cydia to work to install ultrasn0w. Don't have shsh blobs.

    EDIT: Also, I went for the old version of pwnagetool, as the latest version doesn't work with 3.1.3 firmware - keeps throwing up a message saying no valid firmware found.
     
  6. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #6
    Are you running the new cydia? If not, try that:

    add the repo: iphoneroot.com/repo

    then select "cydia installer"

    See if that helps.
     
  7. davidjearly thread starter macrumors 68020

    davidjearly

    Joined:
    Sep 21, 2006
    Location:
    Glasgow, Scotland
    #7
    Can't do anything in Cydia, so that's not possible. As soon as I load it, it crashes on 'reloading data'. Restored 3 times with different 3.1.3 firmware but it's the same problem. If I could get in Cydia, I wouldn't have a problem installing ultrasn0w.
     
  8. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #8
    I just remembered, for future reference, shsh blobs for 3G are always signed so hooking up to tiny umbrella will save all blobs from 4 to 4.2.1, if you don't get 3.1.3 working...

    But anyway, perhaps a different jb besides pwnage might produce results. Like have you tried jailbreakme? I would say spirit too, but I don't think itunes 10 is compatible.
     
  9. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #9
    Go to iclarified and pick on the jb for 3G. They include which IPSW to d/l as well as links to the software you d/l. Try redsnow.
     
  10. SavMBP15 macrumors 6502

    Joined:
    Mar 26, 2010
    #10
    The new cydia requires IOS 4.x.x to run. Will not work with 3.1.3 unfortunately as I have tried to install it and that is what it tells me.
     
  11. davidjearly thread starter macrumors 68020

    davidjearly

    Joined:
    Sep 21, 2006
    Location:
    Glasgow, Scotland
    #11
    Thanks for that. Up and running now on 3.1.3.
     
  12. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #12
    Good to hear you got things working:D

    Did you figure out the exact problem? Or was it just a bad ipsw?
     
  13. eastercat macrumors 68040

    eastercat

    Joined:
    Mar 3, 2008
    Location:
    PDX
    #13
    I'm curious about this too.
     
  14. davidjearly thread starter macrumors 68020

    davidjearly

    Joined:
    Sep 21, 2006
    Location:
    Glasgow, Scotland
    #14
    No, it wasn't the firmware as I used the same version with redsn0w, which worked fine.

    Not sure what it was, but pwnagetool just wouldn't give me a working Cydia on 3.1.3.
     

Share This Page